Date: 
Thursday, Jun 4th, 2020
Security risk: 
Moderately Critical
Advisory ID: 
BACKDROP-SA-CONTRIB-2020-002
Vulnerability: 
Access bypass
Versions affected: 
  • Services module 1.x versions prior to 1.x-3.0.5-beta
Description: 

This module provides a standardized solution for building API's so that external clients can communicate with Backdrop.

The module's taxonomy term index resource doesn't take into consideration certain access control tags provided (but unused) by core, that certain contrib modules depend on.

This vulnerability is mitigated by the fact your site must have the taxonomy term index resource enabled, your site must have a contributed module enabled which utilizes taxonomy term access control, and an attacker must know your API endpoint's path.

Solution: 

Upgrade your site to the most recent version of the Services module. Download available on the Services 1.x-3.0.5-beta release page.

Reported By: 
Fixed By: 
Coordinated By: 

Security email list

Backdrop maintains a security mailing list. Whenever a security release comes out, an email will be sent to everyone subscribed to that list, announcing the new release. Please follow the steps below to join the Security email list.

  • Log in to backdropcms.org
  • Edit your profile
  • Scroll down to the "Email notifications" section
  • Check the box labeled "Receive BackdropCMS.org security announcements for core and contrib projects"